#include <string>
#include <iostream>

#include <ros/ros.h>
#include <ros/node_handle.h>
#include <json_prolog/prolog.h>

using namespace std;
using namespace json_prolog;

int main(int argc, char *argv[])
{
  ros::init(argc, argv, "main");

  Prolog pl;

  //TODO Create a string "q" with the Prolog query
  
  
  PrologQueryProxy bdgs = pl.query(q);
  for(PrologQueryProxy::iterator it=bdgs.begin(); it != bdgs.end(); it++)
  {
    PrologBindings bdg = *it;
    ROS_INFO_STREAM("PerceivedObj = "<< bdg["PerceivedObj"]);
    ROS_INFO_STREAM("MissingObj = "<< bdg["MissingObj"]);
    ROS_INFO_STREAM("MissingTypes = "<< bdg["MissingTypes"]);
  }
  return 0;
}
